libebook::EBOOKSubDocument Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::EBOOKSubDocument Class Reference

`#include <EBOOKSubDocument.h>`

Inheritance diagram for libebook::EBOOKSubDocument:

## Public Member Functions
| EBOOKSubDocument (librevenge::RVNGTextInterface &document)
| ~EBOOKSubDocument () override
void | setDocumentMetaData (const librevenge::RVNGPropertyList &propList) override
void | startDocument (const librevenge::RVNGPropertyList &propList) override
void | endDocument () override
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList) override
void | definePageStyle (const librevenge::RVNGPropertyList &propList) override
void | openPageSpan (const librevenge::RVNGPropertyList &propList) override
void | closePageSpan () override
void | openHeader (const librevenge::RVNGPropertyList &propList) override
void | closeHeader () override
void | openFooter (const librevenge::RVNGPropertyList &propList) override
void | closeFooter () override
void | defineParagraphStyle (const librevenge::RVNGPropertyList &propList) override
void | openParagraph (const librevenge::RVNGPropertyList &propList) override
void | closeParagraph () override
void | defineCharacterStyle (const librevenge::RVNGPropertyList &propList) override
void | openSpan (const librevenge::RVNGPropertyList &propList) override
void | closeSpan () override
void | openLink (const librevenge::RVNGPropertyList &propList) override
void | closeLink () override
void | defineSectionStyle (const librevenge::RVNGPropertyList &propList) override
void | openSection (const librevenge::RVNGPropertyList &propList) override
void | closeSection () override
void | insertTab () override
void | insertSpace () override
void | insertText (const librevenge::RVNGString &text) override
void | insertLineBreak () override
void | insertField (const librevenge::RVNGPropertyList &propList) override
void | openOrderedListLevel (const librevenge::RVNGPropertyList &propList) override
void | openUnorderedListLevel (const librevenge::RVNGPropertyList &propList) override
void | closeOrderedListLevel () override
void | closeUnorderedListLevel () override
void | openListElement (const librevenge::RVNGPropertyList &propList) override
void | closeListElement () override
void | openFootnote (const librevenge::RVNGPropertyList &propList) override
void | closeFootnote () override
void | openEndnote (const librevenge::RVNGPropertyList &propList) override
void | closeEndnote () override
void | openComment (const librevenge::RVNGPropertyList &propList) override
void | closeComment () override
void | openTextBox (const librevenge::RVNGPropertyList &propList) override
void | closeTextBox () override
void | openTable (const librevenge::RVNGPropertyList &propList) override
void | openTableRow (const librevenge::RVNGPropertyList &propList) override
void | closeTableRow () override
void | openTableCell (const librevenge::RVNGPropertyList &propList) override
void | closeTableCell () override
void | insertCoveredTableCell (const librevenge::RVNGPropertyList &propList) override
void | closeTable () override
void | openFrame (const librevenge::RVNGPropertyList &propList) override
void | closeFrame () override
void | openGroup (const librevenge::RVNGPropertyList &propList) override
void | closeGroup () override
void | defineGraphicStyle (const librevenge::RVNGPropertyList &propList) override
void | drawRectangle (const librevenge::RVNGPropertyList &propList) override
void | drawEllipse (const librevenge::RVNGPropertyList &propList) override
void | drawPolygon (const librevenge::RVNGPropertyList &propList) override
void | drawPolyline (const librevenge::RVNGPropertyList &propList) override
void | drawPath (const librevenge::RVNGPropertyList &propList) override
void | drawConnector (const librevenge::RVNGPropertyList &propList) override
void | insertBinaryObject (const librevenge::RVNGPropertyList &propList) override
void | insertEquation (const librevenge::RVNGPropertyList &propList) override

## Private Member Functions
| EBOOKSubDocument (const EBOOKSubDocument &)
EBOOKSubDocument & | operator= (const EBOOKSubDocument &)

## Private Attributes
librevenge::RVNGTextInterface & | m_document

## Constructor & Destructor Documentation

## ◆ EBOOKSubDocument() [1/2]

libebook::EBOOKSubDocument::EBOOKSubDocument | ( | const EBOOKSubDocument & |  | ) |
| private

Referenced by EBOOKSubDocument(), and operator=().

## ◆ EBOOKSubDocument() [2/2]

libebook::EBOOKSubDocument::EBOOKSubDocument | ( | librevenge::RVNGTextInterface & | document | ) |
| explicit

## ◆ ~EBOOKSubDocument()

libebook::EBOOKSubDocument::~EBOOKSubDocument | ( |  | ) |
| override

## Member Function Documentation

## ◆ closeComment()

void libebook::EBOOKSubDocument::closeComment | ( |  | ) |
| override

## ◆ closeEndnote()

void libebook::EBOOKSubDocument::closeEndnote | ( |  | ) |
| override

## ◆ closeFooter()

void libebook::EBOOKSubDocument::closeFooter | ( |  | ) |
| override

## ◆ closeFootnote()

void libebook::EBOOKSubDocument::closeFootnote | ( |  | ) |
| override

## ◆ closeFrame()

void libebook::EBOOKSubDocument::closeFrame | ( |  | ) |
| override

## ◆ closeGroup()

void libebook::EBOOKSubDocument::closeGroup | ( |  | ) |
| override

## ◆ closeHeader()

void libebook::EBOOKSubDocument::closeHeader | ( |  | ) |
| override

## ◆ closeLink()

void libebook::EBOOKSubDocument::closeLink | ( |  | ) |
| override

## ◆ closeListElement()

void libebook::EBOOKSubDocument::closeListElement | ( |  | ) |
| override

## ◆ closeOrderedListLevel()

void libebook::EBOOKSubDocument::closeOrderedListLevel | ( |  | ) |
| override

## ◆ closePageSpan()

void libebook::EBOOKSubDocument::closePageSpan | ( |  | ) |
| override

## ◆ closeParagraph()

void libebook::EBOOKSubDocument::closeParagraph | ( |  | ) |
| override

## ◆ closeSection()

void libebook::EBOOKSubDocument::closeSection | ( |  | ) |
| override

## ◆ closeSpan()

void libebook::EBOOKSubDocument::closeSpan | ( |  | ) |
| override

## ◆ closeTable()

void libebook::EBOOKSubDocument::closeTable | ( |  | ) |
| override

## ◆ closeTableCell()

void libebook::EBOOKSubDocument::closeTableCell | ( |  | ) |
| override

## ◆ closeTableRow()

void libebook::EBOOKSubDocument::closeTableRow | ( |  | ) |
| override

## ◆ closeTextBox()

void libebook::EBOOKSubDocument::closeTextBox | ( |  | ) |
| override

## ◆ closeUnorderedListLevel()

void libebook::EBOOKSubDocument::closeUnorderedListLevel | ( |  | ) |
| override

## ◆ defineCharacterStyle()

void libebook::EBOOKSubDocument::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ defineEmbeddedFont()

void libebook::EBOOKSubDocument::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ defineGraphicStyle()

void libebook::EBOOKSubDocument::defineGraphicStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ definePageStyle()

void libebook::EBOOKSubDocument::definePageStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ defineParagraphStyle()

void libebook::EBOOKSubDocument::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ defineSectionStyle()

void libebook::EBOOKSubDocument::defineSectionStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawConnector()

void libebook::EBOOKSubDocument::drawConnector | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawEllipse()

void libebook::EBOOKSubDocument::drawEllipse | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawPath()

void libebook::EBOOKSubDocument::drawPath | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawPolygon()

void libebook::EBOOKSubDocument::drawPolygon | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawPolyline()

void libebook::EBOOKSubDocument::drawPolyline | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawRectangle()

void libebook::EBOOKSubDocument::drawRectangle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ endDocument()

void libebook::EBOOKSubDocument::endDocument | ( |  | ) |
| override

## ◆ insertBinaryObject()

void libebook::EBOOKSubDocument::insertBinaryObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertCoveredTableCell()

void libebook::EBOOKSubDocument::insertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertEquation()

void libebook::EBOOKSubDocument::insertEquation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertField()

void libebook::EBOOKSubDocument::insertField | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertLineBreak()

void libebook::EBOOKSubDocument::insertLineBreak | ( |  | ) |
| override

## ◆ insertSpace()

void libebook::EBOOKSubDocument::insertSpace | ( |  | ) |
| override

## ◆ insertTab()

void libebook::EBOOKSubDocument::insertTab | ( |  | ) |
| override

## ◆ insertText()

void libebook::EBOOKSubDocument::insertText | ( | const librevenge::RVNGString & | text | ) |
| override

## ◆ openComment()

void libebook::EBOOKSubDocument::openComment | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openEndnote()

void libebook::EBOOKSubDocument::openEndnote | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openFooter()

void libebook::EBOOKSubDocument::openFooter | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openFootnote()

void libebook::EBOOKSubDocument::openFootnote | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openFrame()

void libebook::EBOOKSubDocument::openFrame | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openGroup()

void libebook::EBOOKSubDocument::openGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openHeader()

void libebook::EBOOKSubDocument::openHeader | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openLink()

void libebook::EBOOKSubDocument::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openListElement()

void libebook::EBOOKSubDocument::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openOrderedListLevel()

void libebook::EBOOKSubDocument::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openPageSpan()

void libebook::EBOOKSubDocument::openPageSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openParagraph()

void libebook::EBOOKSubDocument::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openSection()

void libebook::EBOOKSubDocument::openSection | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openSpan()

void libebook::EBOOKSubDocument::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openTable()

void libebook::EBOOKSubDocument::openTable | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openTableCell()

void libebook::EBOOKSubDocument::openTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openTableRow()

void libebook::EBOOKSubDocument::openTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openTextBox()

void libebook::EBOOKSubDocument::openTextBox | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openUnorderedListLevel()

void libebook::EBOOKSubDocument::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ operator=()

EBOOKSubDocument & libebook::EBOOKSubDocument::operator= | ( | const EBOOKSubDocument & |  | ) |
| private

## ◆ setDocumentMetaData()

void libebook::EBOOKSubDocument::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startDocument()

void libebook::EBOOKSubDocument::startDocument | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## Member Data Documentation

## ◆ m_document

librevenge::RVNGTextInterface& libebook::EBOOKSubDocument::m_document
| private

Referenced by closeComment(), closeEndnote(), closeFooter(), closeFootnote(), closeFrame(), closeGroup(), closeHeader(), closeLink(), closeListElement(), closeOrderedListLevel(), closePageSpan(), closeParagraph(), closeSection(), closeSpan(), closeTable(), closeTableCell(), closeTableRow(), closeTextBox(), closeUnorderedListLevel(), defineCharacterStyle(), defineEmbeddedFont(), defineGraphicStyle(), definePageStyle(), defineParagraphStyle(), defineSectionStyle(), drawConnector(), drawEllipse(), drawPath(), drawPolygon(), drawPolyline(), drawRectangle(), EBOOKSubDocument(), insertBinaryObject(), insertCoveredTableCell(), insertEquation(), insertField(), insertLineBreak(), insertSpace(), insertTab(), insertText(), openComment(), openEndnote(), openFooter(), openFootnote(), openFrame(), openGroup(), openHeader(), openLink(), openListElement(), openOrderedListLevel(), openPageSpan(), openParagraph(), openSection(), openSpan(), openTable(), openTableCell(), openTableRow(), openTextBox(), and openUnorderedListLevel().

The documentation for this class was generated from the following files:

- EBOOKSubDocument.h
- EBOOKSubDocument.cpp